Bug 2410 - Ejecting PCMCIA network card hangs PCMCIA driver
Ejecting PCMCIA network card hangs PCMCIA driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-29 04:11 EDT by Ed Swierk
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 1999-04-29 04:11:38 EDT
Ejecting a PCMCIA network card, either physically or via
"cardctl eject", causes the PCMCIA driver to hang.  Further
insert/eject events are ignored.

As a workaround, adding the following lines to
/etc/pcmcia/network somehow avoids the problem:

  exec 1>/dev/console
  exec 2>/dev/console

(Actually, I didn't discover this workaround--someone on the
Linux PCMCIA discussion list did.  For more info, see
http://hyper.stanford.edu/HyperNews/get/pcmcia/install/220/1/1.html
.)
Comment 1 Michael K. Johnson 1999-07-13 15:47:59 EDT
This appears to be machine-specific.  Can you let us know which
pcmcia driver chip you have on your laptop, and which pcmcia network
card you have?

Note You need to log in before you can comment on or make changes to this bug.